<template>
    <nav class="nav has-shadow">
    <div class="nav-left">
        <nuxt-link to="/" class="nav-item" exact>
        <img src="http://bulma.io/images/bulma-logo.png" alt="Bulma logo">
        </nuxt-link>
    </div>

    <div class="nav-center">
        <a class="nav-item">
        <span class="icon">
            <b-icon icon="accessibility"></b-icon>
        </span>
        </a>
        <a class="nav-item">
        <span class="icon">
            <b-icon icon="accessibility"></b-icon>
        </span>
        </a>
    </div>

    <!-- This "nav-toggle" hamburger menu is only visible on mobile -->
    <!-- You need JavaScript to toggle the "is-active" class on "nav-menu" -->
    <span class="nav-toggle" v-on:click="toggleActive()" v-bind:class="{ 'is-active': isActive }">
        <span></span>
        <span></span>
        <span></span>
    </span>

    <!-- This "nav-menu" is hidden on mobile -->
    <!-- Add the modifier "is-active" to display it on mobile -->
    <div class="nav-right nav-menu" v-bind:class="{ 'is-active': isActive }">
        <nuxt-link to="/admin" class="nav-item" exact>
        Dashboard
        </nuxt-link>
        <nuxt-link to="/login" class="nav-item" exact>
        Login
        </nuxt-link>

        <div class="nav-item">
        <div class="field is-grouped">
            <p class="control">
            <a class="button" >
                <span class="icon">
                <b-icon icon="chat"></b-icon>
                </span>
                <span>Tweet</span>
            </a>
            </p>
            <p class="control">
            <a class="button is-primary">
                <span class="icon">
                <b-icon icon="cloud_download"></b-icon>
                </span>
                <span>Download</span>
            </a>
            </p>
        </div>
        </div>
    </div>
    </nav>
</template>

<script>
export default {
    data: function() {
        return {
            isActive: false
        }
    },
    methods: {
        toggleActive: function() {
            this.isActive = ! this.isActive
        }
    }
}
</script>

<style scoped>
.nav {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}
a.nuxt-link-active {
    color: #363636;
}
</style>